Name:		bluez-gnome
Version:	0.8
Release:	2%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPL
URL:		http://www.bluez.org/
Source0:	http://bluez.sf.net/download/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	s390 s390x

BuildRequires:	dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires:	dbus-glib-devel perl-XML-Parser openobex-devel
BuildRequires:  desktop-file-utils gettext
Obsoletes:	bluez-pin

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%prep
%setup -q
sed -i /^OnlyShowIn=/d applet/bluetooth-applet.desktop.in

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=fedora				\
	--add-category=X-GNOME-NetworkSettings			\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-properties.desktop

%find_lang bluetooth-manager

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule					\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%postun
update-desktop-database -q

%files -f bluetooth-manager.lang
%defattr(-,root,root,-)
%{_bindir}/*
%config %{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_datadir}/man/man1/*
%{_datadir}/applications/fedora-bluetooth-properties.desktop
%doc README COPYING AUTHORS ChangeLog


%changelog
* Sat Jul 07 2007 - Bastien Nocera <bnocera@redhat.com> - 0.8-2
- Only install and uninstall our own schema file (#247330)

* Thu Jun 14 2007 - Bastien Nocera <bnocera@redhat.com> - 0.8-1
- Update to 0.8
- Punt outdated patches
- Add man pages, and translations
- Add GConf and desktop file updating scriplets

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> 0.6-2
- Add X-GNOME-NetworkSettings to desktop file categories
- Use desktop-file-install
 
* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
